Uses of Package
com.eqixiac.equinix.internetaccess.client.internal

  • Class
    Description
    Internal client for the Equinix Internet Access (EIA) v1 account lookups: GET /internetAccess/v1/accounts, GET /internetAccess/v1/accounts/{accountNumber} and GET /internetAccess/v1/accounts/{accountNumber}/agreements.
    Internal client for the Equinix Internet Access (EIA) v1 product-availability lookup: GET /internetAccess/v1/cabinets - the cabinets a customer has, optionally narrowed by cage, IBX and account.
    Internal client for the Equinix Internet Access (EIA) v1 product-availability lookup: GET /internetAccess/v1/cages - the cages a customer has in a given IBX.
    Internal client for the Equinix Internet Access (EIA) v1 product-availability lookup: GET /internetAccess/v1/connectionServices - the connection services available at a given IBX.
    Internal client for the Equinix Internet Access (EIA) v1 customer-route-configuration lookup: GET /internetAccess/v1/customerRouteConfigurations - the allowed customer-route configurations for a given use case, redundancy and routing-protocol type.
    Internal client for the Equinix Internet Access (EIA) v1 dedicated-bandwidth-configuration lookup: GET /internetAccess/v1/dedicatedBandwidthConfigurations - the allowed dedicated-bandwidth configurations for a given use case, billing model and physical-port speed.
    Internal client for the Equinix Internet Access (EIA) v1 dedicated-port default-configuration lookup: GET /internetAccess/v1/dedicatedPortDefaultConfigurations - the default dedicated-port configurations for a given IBX.
    Internal client for the Equinix Internet Access (EIA) v2 product-availability lookup: GET /internetAccess/v2/ibxs - the IBXs where EIA is available for a given service connection type.
    Internal client for the Equinix Internet Access (EIA) v1 single-IBX get: GET /internetAccess/v1/ibxs/{ibx} - the detail for a single IBX data center where EIA is available.
    Internal client for the Equinix Internet Access (EIA) v2 service lifecycle: POST /internetAccess/v2/services (create), GET /internetAccess/v2/services/{serviceId} (get details), PATCH /internetAccess/v2/services/{serviceId} (update), DELETE /internetAccess/v2/services/{serviceId} (delete) and POST /internetAccess/v2/services/search (search).
    Internal client for the Equinix Internet Access (EIA) v1 operational-units lookup: GET /internetAccess/v1/operationalUnits.
    Internal client for the Equinix Internet Access (EIA) v1 order single get: GET /internetAccess/v1/orders/{orderUUID}.
    Internal client for the Equinix Internet Access (EIA) v1 product-availability lookup: GET /internetAccess/v1/patchPanels - the patch panels a customer has in a given cage and cabinet.
    Internal client for the Equinix Internet Access (EIA) v1 port-configuration lookup: GET /internetAccess/v1/portConfigurations - the allowed port configurations for a given IBX and use case.
    Internal client for the Equinix Internet Access (EIA) v1 price search: POST /internetAccess/v1/prices/search.
    Internal client for the Equinix Internet Access (EIA) v1 purchase-order lookups: GET /internetAccess/v1/accounts/{accountNumber}/purchaseOrders (list) and GET /internetAccess/v1/accounts/{accountNumber}/purchaseOrders/{number} (single get).
    Internal client for the Equinix Internet Access (EIA) v1 routing-configuration lookup: GET /internetAccess/v1/routingProtocolConfigurations - the allowed routing-protocol configurations for a given use case and redundancy.
    Internal client for the Equinix Internet Access (EIA) v1 signature-policies lookup: GET /internetAccess/v1/signaturePolicies.
    Internal client for the Equinix Internet Access (EIA) v1 terms-and-conditions lookup: GET /internetAccess/v1/terms.
    Internal client for the Equinix Internet Access (EIA) v1 virtual-bandwidth-configuration lookup: GET /internetAccess/v1/virtualBandwidthConfigurations - the allowed virtual-bandwidth configurations for a given use case and billing model.
    Internal client for the Equinix Internet Access (EIA) v1 virtual-connection default-configuration lookup: GET /internetAccess/v1/virtualConnectionDefaultConfigurations - the default virtual-connection configurations for a given IBX and metro.
  • Class
    Description
    Internal client for the Equinix Internet Access (EIA) v2 service lifecycle: POST /internetAccess/v2/services (create), GET /internetAccess/v2/services/{serviceId} (get details), PATCH /internetAccess/v2/services/{serviceId} (update), DELETE /internetAccess/v2/services/{serviceId} (delete) and POST /internetAccess/v2/services/search (search).